@import '../../../style/variables';

:host {
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;


  article {
    display: flex;
    align-items: center;
    justify-content: flex-start;

    .mat-icon {
      margin-right: .5rem;

      &.COMPLETE {
        color: $fmi-status-success-color;
      }
      &.PARTIAL {
        color: $fmi-status-warning-color;
      }
      &.EMPTY {
        color: $fmi-status-error-color;
      }
    }

    p:last-child {
      margin-bottom: 0;
    }
  }

  .mat-card {
    margin: .5rem 0;
  }

  form.match {
    display: grid;
    grid-template-columns: 3fr 1fr 6fr 6fr 1fr 1fr;
    grid-template-areas: 'date logo1 team1 team2 logo2 delete';
    gap: 1rem;
    align-items: center;
    justify-items: center;

    .mat-form-field {
      width: 90%;
    }

    figure {
      margin: 0;
    }

    .mat-form-field.date {
      grid-area: date;
    }
    .mat-form-field.team1 {
      grid-area: team1;
    }
    .mat-form-field.team2{
      grid-area: team2;
    }
    figure.logo1 {
      grid-area: logo1;
    }
    figure.logo2 {
      grid-area: logo2;
    }
    button.delete {
      grid-area: delete;
    }
  }

    figure {
      display: flex;
      img {
        $logo-size: 2rem;
        max-width: $logo-size;
        max-height: $logo-size;
      }
    }

  ::ng-deep {
    .mat-form-field-infix {
      height: 15px;
    }
  }
}
